#ifndef CErrorCodes_H
#define CErrorCodes_H
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#include "../../@Classes/CXML/CXMLReader.H"
#include "../../@Classes/CStringBuilder/CStringBuilder.H"

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#include <Windows.H>
#include <Stdio.H>
#include <Stdlib.H>

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#include "Entry.H"
#include "Init.H"
#include "CErrorCodes.H"
#include "CWebSite.H"

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

extern char *HTTP_Error_Codes[];
extern char *HTTP_Error_Pages[];
extern char *HTTP_Error_Desc[];

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

class CErrorCodes {
private:
	DWORD dwErrorCount;
	DWORD dwWarningCount;

	LPVOID pHttp; //Pointer to the CHTTP class.

public:
	DWORD WarningCount(void);
	DWORD ErrorCount(void);

	bool Load(LPVOID CHTTP);
	bool Destroy(void);
	bool SendErrorCode(CLIENT *pC, char *sErrorCode);
	bool SendErrorPage(CLIENT *pC, char *sErrCode, char *sErrDesc, char *sErrorPage);
};

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#endif
