///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
//  Copyright  NetworkDLS 2002, All rights reserved
//
// THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF 
// ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO 
// THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A 
// PARTICULAR PURPOSE.
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#ifndef _SOCKET_H
#define _SOCKET_H
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#include "../../@Classes/CSocketServer/CSocketServer.H"
#include "../../@Classes/CXML/CXMLReader.H"
#include "../../@Classes/CStringBuilder/CStringBuilder.H"

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

void Socket_ClientHandler(CSocketServer *pSock, CSocketClient *pClient, LPBASICHUNK pChunk);
void Socket_ErrorHandler(CSocketServer *lpCSocketServer, CSocketClient *pClient, int iErrorNumber, const char *sErrorMsg);
bool Socket_SendHandler(CSocketServer *pSock, CSocketClient *pClient, LPBASICHUNK pChunk);
bool Socket_RecvHandler(CSocketServer *pSock, CSocketClient *pClient, LPBASICHUNK pChunk);
bool Socket_AcceptHandler(CSocketServer *pSock, CSocketClient *pClient);
void Socket_DisconnectHandler(CSocketServer *pSock, CSocketClient *pClient);

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

typedef struct _tag_Server_Thread_Info {
	CWebSites *pWebSites;
	int iSiteIndex;
} SERVERTHREADINFO, *LPSERVERTHREADINFO;

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
#endif

