#ifndef _ENTRY_CPP
#define _ENTRY_CPP
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#include <Windows.H>

#include "Entry.H"
#include "Filter.H"

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////

HINSTANCE hInstance = NULL;

///////////////////////////////////////////////////////////////////////////////////////////////////////////////////

BOOL APIENTRY DllMain(HANDLE hModule, DWORD dwReason, LPVOID Reserved)
{
	switch( dwReason ) 
    { 
        case DLL_PROCESS_ATTACH:
			// Initialize once for each new process.
            // Return FALSE to fail DLL load.
			hInstance = (HINSTANCE) hModule;
            break;

        case DLL_THREAD_ATTACH:
            // Do thread-specific initialization.
            break;

        case DLL_THREAD_DETACH:
            // Do thread-specific cleanup.
            break;

        case DLL_PROCESS_DETACH:
            // Perform any necessary cleanup.
            break;
    }
	return TRUE;
}

///////////////////////////////////////////////////////////////////////////////////////////
#endif

